// MainFrm.h : interface of the CMainFrame class
//
#pragma once

class CMainFrame : public CFrameWnd
{
	DECLARE_DYNCREATE(CMainFrame)
	
public: // create from serialization only
	CMainFrame();
	virtual ~CMainFrame();

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

	#ifdef _DEBUG
		virtual void AssertValid() const;
		virtual void Dump(CDumpContext& dc) const;
	#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSizing(UINT fwSide, LPRECT pRect);
public:
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
};