#include "stdafx.h"

#include "VideoThread.h"

#include "OpenVideoFileDoc.h"
#include "VideoManager.h"

UINT VideoFrameThread(LPVOID lParam)
{
	COpenVideoFileDoc *pDoc = (COpenVideoFileDoc*)lParam;

	if(!pDoc)
		return FALSE;

	for( ;; )
	{
		DWORD threadResult = ::WaitForSingleObject(pDoc->_killNextFrame.m_hObject, 25);

		if(threadResult == WAIT_OBJECT_0)
			break;
		
		int result = pDoc->_videoManager->NextFrame();

		if(result == 1 && pDoc->_viewWnd && pDoc->_viewWnd->GetSafeHwnd())
			pDoc->_viewWnd->Invalidate(FALSE);

		pDoc->_newImgReady.ResetEvent();
		pDoc->_newImgReady.SetEvent();
	}

	pDoc->_nextFrameEnd.ResetEvent(); 
	pDoc->_nextFrameEnd.SetEvent();

	return TRUE;
}