// SaveLiveVideoView.h : interface of the CSaveLiveVideoView class
//
#pragma once

class CMemoryDC;
class CSaveLiveVideoView : public CView
{
	DECLARE_DYNCREATE(CSaveLiveVideoView)

public: // create from serialization only
	CSaveLiveVideoView();
	virtual ~CSaveLiveVideoView();

	void DrawNextFrameDC(CDC* pDC);


public:
	CMemoryDC *_memoryDC;
	ULONG_PTR  _gdiplusToken;

	CSize _viewSize;

public:	// Overrides
	CSaveLiveVideoDoc* GetDocument() const;

	virtual void OnInitialUpdate();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	
	#ifdef _DEBUG
		virtual void AssertValid() const;
		virtual void Dump(CDumpContext& dc) const;
	#endif


protected:	// Generated message map functions
	DECLARE_MESSAGE_MAP()

public:

};
#ifndef _DEBUG  // debug version in SaveLiveVideoView.cpp
inline CSaveLiveVideoDoc* CSaveLiveVideoView::GetDocument() const { return reinterpret_cast<CSaveLiveVideoDoc*>(m_pDocument); }
#endif

